> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update conversation

> This endpoint lets you change the status of the conversation to "open"/"closed" or to assign it to a user.
⚠️ You can only perform one action at a time: either change the status or assign a user.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml patch /conversations/{conversation_id}
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /conversations/{conversation_id}:
    patch:
      tags:
        - Messages
      summary: Update conversation
      description: >
        This endpoint lets you change the status of the conversation to
        "open"/"closed" or to assign it to a user.

        ⚠️ You can only perform one action at a time: either change the status
        or assign a user.
      operationId: updateConversation
      parameters:
        - name: conversation_id
          in: path
          required: true
          schema:
            type: integer
            description: The id of the conversation to update
      requestBody:
        required: true
        content:
          application/json:
            schema:
              description: Request body to update a Conversation
              type: object
              properties:
                status:
                  type: string
                  enum:
                    - open
                    - closed
                  description: >
                    You can close or re-open the conversation.    

                    It will change the "is_solved" boolean of the conversation
                    but it won't change the `is_expired`.      

                    If the conversation is expired we can't re-open it.
                assigned_user_id:
                  type: string
                  enum:
                    - USER_ID
                    - unassigned
                  description: |
                    Only for enterprise organizations.
                    The user will be assigned to the conversation.

                    You can only assign a conversation to a user that:
                    - is active
                    - is of type human (not bot)
                    - has access to the conversation
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````